Package org.linphone.mediastream

# Class Version

java.lang.Object
org.linphone.mediastream.Version

public class Version extends Object
Centralize version access and allow simulation of lower versions.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`API03_CUPCAKE_15`
`static final int`
`API04_DONUT_16`
`static final int`
`API05_ECLAIR_20`
`static final int`
`API06_ECLAIR_201`
`static final int`
`API07_ECLAIR_21`
`static final int`
`API08_FROYO_22`
`static final int`
`API09_GINGERBREAD_23`
`static final int`
`API10_GINGERBREAD_MR1_233`
`static final int`
`API11_HONEYCOMB_30`
`static final int`
`API12_HONEYCOMB_MR1_31X`
`static final int`
`API13_HONEYCOMB_MR2_32`
`static final int`
`API14_ICE_CREAM_SANDWICH_40`
`static final int`
`API15_ICE_CREAM_SANDWICH_403`
`static final int`
`API16_JELLY_BEAN_41`
`static final int`
`API17_JELLY_BEAN_42`
`static final int`
`API18_JELLY_BEAN_43`
`static final int`
`API19_KITKAT_44`
`static final int`
`API21_LOLLIPOP_50`
`static final int`
`API22_LOLLIPOP_51`
`static final int`
`API23_MARSHMALLOW_60`
`static final int`
`API24_NOUGAT_70`
`static final int`
`API25_NOUGAT_71`
`static final int`
`API26_O_80`
`static final int`
`API27_OREO_81`
`static final int`
`API28_PIE_90`
`static final int`
`API29_ANDROID_10`
`static final int`
`API30_ANDROID_11`
`static final int`
`API31_ANDROID_12`
`static final int`
`API32_ANDROID_12L`
`static final int`
`API33_ANDROID_13_TIRAMISU`
`static final int`
`API34_ANDROID_14_UPSIDE_DOWN_CAKE`
`static final int`
`API35_ANDROID_15_VANILLA_ICE_CREAM`
`static final int`
`API36_ANDROID_16_BAKLAVA`

## Constructor Summary

Constructors
Constructor
Description
`Version()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`dumpCapabilities()`
`static List<String>`
`getCpuAbis()`
`static boolean`
`hasFastCpu()`
`static boolean`
`hasFastCpuWithAsmOptim()`
`static boolean`
`hasNeon()`
`static boolean`
`hasZrtp()`
`static boolean`
`isHDVideoCapable()`
`static boolean`
`isVideoCapable()`
`static boolean`
`isXLargeScreen(android.content.Context context)`
`static int`
`sdk()`
`static final boolean`
`sdkAboveOrEqual(int value)`
`static final boolean`
`sdkStrictlyBelow(int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### API03_CUPCAKE_15

public static final int API03_CUPCAKE_15

See Also:
  - Constant Field Values

### API04_DONUT_16

public static final int API04_DONUT_16

See Also:
  - Constant Field Values

### API05_ECLAIR_20

public static final int API05_ECLAIR_20

See Also:
  - Constant Field Values

### API06_ECLAIR_201

public static final int API06_ECLAIR_201

See Also:
  - Constant Field Values

### API07_ECLAIR_21

public static final int API07_ECLAIR_21

See Also:
  - Constant Field Values

### API08_FROYO_22

public static final int API08_FROYO_22

See Also:
  - Constant Field Values

### API09_GINGERBREAD_23

public static final int API09_GINGERBREAD_23

See Also:
  - Constant Field Values

### API10_GINGERBREAD_MR1_233

public static final int API10_GINGERBREAD_MR1_233

See Also:
  - Constant Field Values

### API11_HONEYCOMB_30

public static final int API11_HONEYCOMB_30

See Also:
  - Constant Field Values

### API12_HONEYCOMB_MR1_31X

public static final int API12_HONEYCOMB_MR1_31X

See Also:
  - Constant Field Values

### API13_HONEYCOMB_MR2_32

public static final int API13_HONEYCOMB_MR2_32

See Also:
  - Constant Field Values

### API14_ICE_CREAM_SANDWICH_40

public static final int API14_ICE_CREAM_SANDWICH_40

See Also:
  - Constant Field Values

### API15_ICE_CREAM_SANDWICH_403

public static final int API15_ICE_CREAM_SANDWICH_403

See Also:
  - Constant Field Values

### API16_JELLY_BEAN_41

public static final int API16_JELLY_BEAN_41

See Also:
  - Constant Field Values

### API17_JELLY_BEAN_42

public static final int API17_JELLY_BEAN_42

See Also:
  - Constant Field Values

### API18_JELLY_BEAN_43

public static final int API18_JELLY_BEAN_43

See Also:
  - Constant Field Values

### API19_KITKAT_44

public static final int API19_KITKAT_44

See Also:
  - Constant Field Values

### API21_LOLLIPOP_50

public static final int API21_LOLLIPOP_50

See Also:
  - Constant Field Values

### API22_LOLLIPOP_51

public static final int API22_LOLLIPOP_51

See Also:
  - Constant Field Values

### API23_MARSHMALLOW_60

public static final int API23_MARSHMALLOW_60

See Also:
  - Constant Field Values

### API24_NOUGAT_70

public static final int API24_NOUGAT_70

See Also:
  - Constant Field Values

### API25_NOUGAT_71

public static final int API25_NOUGAT_71

See Also:
  - Constant Field Values

### API26_O_80

public static final int API26_O_80

See Also:
  - Constant Field Values

### API27_OREO_81

public static final int API27_OREO_81

See Also:
  - Constant Field Values

### API28_PIE_90

public static final int API28_PIE_90

See Also:
  - Constant Field Values

### API29_ANDROID_10

public static final int API29_ANDROID_10

See Also:
  - Constant Field Values

### API30_ANDROID_11

public static final int API30_ANDROID_11

See Also:
  - Constant Field Values

### API31_ANDROID_12

public static final int API31_ANDROID_12

See Also:
  - Constant Field Values

### API32_ANDROID_12L

public static final int API32_ANDROID_12L

See Also:
  - Constant Field Values

### API33_ANDROID_13_TIRAMISU

public static final int API33_ANDROID_13_TIRAMISU

See Also:
  - Constant Field Values

### API34_ANDROID_14_UPSIDE_DOWN_CAKE

public static final int API34_ANDROID_14_UPSIDE_DOWN_CAKE

See Also:
  - Constant Field Values

### API35_ANDROID_15_VANILLA_ICE_CREAM

public static final int API35_ANDROID_15_VANILLA_ICE_CREAM

See Also:
  - Constant Field Values

### API36_ANDROID_16_BAKLAVA

public static final int API36_ANDROID_16_BAKLAVA

See Also:
  - Constant Field Values

## Constructor Details

### Version

public Version()

## Method Details

### isXLargeScreen

public static boolean isXLargeScreen(android.content.Context context)

### sdkAboveOrEqual

public static final boolean sdkAboveOrEqual(int value)

### sdkStrictlyBelow

public static final boolean sdkStrictlyBelow(int value)

### sdk

public static int sdk()

### getCpuAbis

public static List<String> getCpuAbis()

### hasNeon

public static boolean hasNeon()

### hasFastCpu

public static boolean hasFastCpu()

### hasFastCpuWithAsmOptim

public static boolean hasFastCpuWithAsmOptim()

### isVideoCapable

public static boolean isVideoCapable()

### isHDVideoCapable

public static boolean isHDVideoCapable()

### hasZrtp

public static boolean hasZrtp()

### dumpCapabilities

public static void dumpCapabilities()